# docker build --tag registry.gitlab.com/iottacle/device-pinger:1.0.4 .
# docker push registry.gitlab.com/iottacle/device-pinger:1.0.4
FROM balenalib/raspberry-pi-alpine-python:3.6

RUN apk update
RUN apk add curl
RUN pip install requests
RUN rm -rf /var/cache/apk/*

RUN  mkdir -p            /opt/pinger
WORKDIR /opt/pinger

COPY rebooter.sh         /opt/pinger/
COPY troubleshoot.py     /opt/pinger/
COPY connection.py       /opt/pinger/
COPY setup.sh       /opt/pinger/
RUN  chmod +x            /opt/pinger/*.sh

CMD /opt/pinger/setup.sh
